[Mongrel] Mongrels stop responding

Ezra Zygmuntowicz ezmobius at gmail.com
Tue Apr 1 17:54:06 EDT 2008


On Apr 1, 2008, at 2:45 PM, Michael Kinney wrote:
> Just as I was preparing to leave for the day, another Mongrel stopped
> working. This time, the paperless-mpcs app. Now, I may still not be
> doing this gdb thing right, because rb_backtrace didn't generate any
> output. But then I tried 'eval "caller"' and this is what I got:
>
> ["/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/ 
> configurator.rb:285:in
> `run'",
> "/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/ 
> configurator.rb:285:in
> `loop'", "/usr/lib/ruby/gems/1.
> 8/gems/mongrel-1.1.4/bin/../lib/mongrel/configurator.rb:285:in `run'",
> "/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/ 
> configurator.rb:285:in
> `initialize'", "/usr/lib/ruby/gems/1.8/gems/mongrel-1.
> 1.4/bin/../lib/mongrel/configurator.rb:285:in `new'",
> "/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/ 
> configurator.rb:285:in
> `run'", "/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails: 
> 12
> 8:in `run'",
> "/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/ 
> command.rb:212:in
> `run'",
> "/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:281",
> "/usr/bin/mongrel_rails:16:in `load'", "/u
> sr/bin/mongrel_rails:16"]
>
> Seems to be the same thing that's hanging up the portal app?
>
> Thanks in advance...\


Michael-

	What version and patch level of ruby are you running? If you are  
using 1.8.6 you need *at least* patch level 110, any patch levels  
before that have threading issues and should not be used.

Cheers-

- Ezra Zygmuntowicz
-- Founder & Software Architect
-- ezra at engineyard.com
-- EngineYard.com



More information about the Mongrel-users mailing list